Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

parsec-1.4.0-1.1 RPM for aarch64

From OpenSuSE Ports Tumbleweed for aarch64

Name: parsec Distribution: openSUSE Tumbleweed
Version: 1.4.0 Vendor: openSUSE
Release: 1.1 Build date: Tue Apr 16 14:38:57 2024
Group: Unspecified Build host: reproducible
Size: 6212544 Source RPM: parsec-1.4.0-1.1.src.rpm
Packager: http://bugs.opensuse.org
Url: https://parallaxsecond.github.io/parsec-book
Summary: Platform AbstRaction for SECurity
PARSEC is the Platform AbstRaction for SECurity, an open-source initiative to provide
a common API to hardware security and cryptographic services in a platform-agnostic way.
This abstraction layer keeps workloads decoupled from physical platform details,
enabling cloud-native delivery flows within the data center and at the edge.

Provides

Requires

License

Apache-2.0

Changelog

* Tue Apr 16 2024 Guillaume GARDET <guillaume.gardet@opensuse.org>
  -  Update to 1.4.0:
    * Full changelog: https://github.com/parallaxsecond/parsec/compare/1.4.0-rc2...1.4.0
  - Simplify libstdc++-devel handling for Leap 15.x
* Tue Apr 16 2024 Max Lin <mlin@suse.com>
  - Fix build on Leap 15.6
    * installed the corresponding libstdc++-devel to avoid the -lstdc++ not found
* Thu Mar 28 2024 Guillaume GARDET <guillaume.gardet@opensuse.org>
  - Update to 1.4.0-rc2:
    * Full changelog: https://github.com/parallaxsecond/parsec/compare/1.3.0...1.4.0-rc2
* Mon Oct 30 2023 Guillaume GARDET <guillaume.gardet@opensuse.org>
  - Update to 1.3.0:
    * Full changelog:  https://github.com/parallaxsecond/parsec/compare/1.3.0-rc1...1.3.0
* Tue Oct 17 2023 Guillaume <guillaume@arm.com>
  - Fix build on Leap 15.5
  - Update to 1.3.0-rc1:
    * Changelog: https://github.com/parallaxsecond/parsec/compare/1.2.0...1.3.0-rc1
* Thu Apr 20 2023 Guillaume GARDET <guillaume.gardet@opensuse.org>
  - Fix build on Leap 15.5
  - Update to 1.2.0:
    * Closed issue since 1.2.0-rc1:
    - Parsec 1.1 fails to build with meta-security master branch
* Mon Mar 27 2023 Guillaume GARDET <guillaume.gardet@opensuse.org>
  - Disable jwt-svid-authenticator (SPIFFE) until fixed upstream
    with gcc13 - https://github.com/parallaxsecond/parsec/issues/672
* Thu Mar 23 2023 Guillaume GARDET <guillaume.gardet@opensuse.org>
  - Update to 1.2.0-rc1
  - Drop upstream patch:
    * 664.patch
* Wed Mar 15 2023 Guillaume GARDET <guillaume.gardet@opensuse.org>
  - Add patch to fix build on Tumbleweed (update tss-esapi to 7.2.0):
    * 664.patch
  - Add <param name="update">true</param> to _service to apply
    security updates
  - Use cargo-packaging for all flavors
  - Enable cargo_audit
* Thu Jan 19 2023 Guillaume GARDET <guillaume.gardet@opensuse.org>
  - Add libstdc++6-devel-gcc11 to fix build with GCC11 on
    Backports SLE15-SP4/5
* Tue Oct 04 2022 Guillaume GARDET <guillaume.gardet@opensuse.org>
  - Update to 1.1.0:
    * Main updates:
    - Add generate random support into TPM and PKCS11 providers
    - Implement configurable exclusion of deprecated primitives
    - Allow binary PIN values for PKCS11 provider
    - Recognise a PKCS11 hardware token with its serial number
      instead of slot number
    * Full changelog: https://github.com/parallaxsecond/parsec/releases/tag/1.1.0
* Mon Sep 26 2022 Guillaume GARDET <guillaume.gardet@opensuse.org>
  - Update to 1.1.0-rc2
* Wed Apr 06 2022 Marcus Meissner <meissner@suse.com>
  - rust-packaging -> cargo-packaging (bsc#1198131)
* Thu Mar 31 2022 Guillaume GARDET <guillaume.gardet@opensuse.org>
  - Update to 1.0.0:
    * Update changelog file only
  - Disable build on x86 since the build fails
* Mon Mar 21 2022 Guillaume GARDET <guillaume.gardet@opensuse.org>
  - Update to 1.0.0-rc3:
    * Changelog: https://github.com/parallaxsecond/parsec/compare/1.0.0-rc2...1.0.0-rc3
    * Fixes CVE-2022-24713 - boo#1196972
* Tue Mar 08 2022 Guillaume GARDET <guillaume.gardet@opensuse.org>
  - Update to 1.0.0-rc2:
    * Changelog: https://github.com/parallaxsecond/parsec/compare/1.0.0-rc1...1.0.0-rc2
  - Remove CryptoAuthLib (CAL) provider as it is unmaintained.
* Thu Feb 24 2022 Guillaume GARDET <guillaume.gardet@opensuse.org>
  - Update to 1.0.0-rc1:
    * Changelog: https://github.com/parallaxsecond/parsec/compare/0.8.1...1.0.0-rc1
  - Drop upstream patch:
    * harden_parsec.service.patch
* Thu Jan 13 2022 Guillaume GARDET <guillaume.gardet@opensuse.org>
  - Update to 0.8.1:
    * Changelog: https://github.com/parallaxsecond/parsec/compare/0.8.0...0.8.1
* Thu Dec 09 2021 Guillaume GARDET <guillaume.gardet@opensuse.org>
  - Fix /run/parsec permission to 755. This is enough for all
    users to access the service - boo#1193484 - CVE-2021-36781
* Fri Oct 15 2021 Johannes Segitz <jsegitz@suse.com>
  - Added hardening to systemd service(s) (bsc#1181400). Added patch(es):
    * harden_parsec.service.patch
    Modified:
    * parsec.service
    * Upstream submission: https://github.com/parallaxsecond/parsec/issues/569
* Mon Sep 27 2021 Guillaume GARDET <guillaume.gardet@opensuse.org>
  - Allow access to /run/parsec to all users
  - Requires rust 1.53+ (now also available in 15.3/15-SP3 via Update)
    which allow to enable same features accross distros
* Fri Aug 06 2021 Guillaume GARDET <guillaume.gardet@opensuse.org>
  - Update to 0.8.0:
    * Changelog: https://github.com/parallaxsecond/parsec/compare/0.7.2...0.8.0
  - Drop upstream patch:
    * parsec-fix-old-rust.patch
  - Disable 'trusted-service-provider' as it currently fails to build
  - Disable 'jwt-svid-authenticator' (SPIFFE-based authenticator)
    on Leap, as it cannot be compiled with rust 1.43.1
* Fri Apr 30 2021 Guillaume GARDET <guillaume.gardet@opensuse.org>
  - Fix build with old rust used in Leap 15.3/SLE15-SP3.
    * parsec-fix-old-rust.patch
* Wed Apr 14 2021 Guillaume GARDET <guillaume.gardet@opensuse.org>
  - Requires 'tpm2-0-tss' as it holds the udev rule to make /dev/tpm*
    owned by tss user
  - Requires 'libtss2-tcti-device0' as it is required to start parsec
    with TPM support
* Wed Apr 07 2021 Guillaume GARDET <guillaume.gardet@opensuse.org>
  - Enable all authenticators which adds 'direct-authenticator'
  - Add CryptoAuthLib template (disabled) in config.toml
* Thu Apr 01 2021 Guillaume GARDET <guillaume.gardet@opensuse.org>
  - Make 'parsec' user part of 'tss' group to access /dev/tpm* devices
* Wed Mar 31 2021 Guillaume GARDET <guillaume.gardet@opensuse.org>
  - Update to 0.7.2:
    * Changelog: https://github.com/parallaxsecond/parsec/compare/0.6.0...0.7.2
* Tue Mar 30 2021 Guillaume GARDET <guillaume.gardet@opensuse.org>
  - Recommends 'opensc' as it is used to initialize HSM keys (PKCS#11 backend)
  - Add PKCS#11 template (disabled) in config.toml
  - Disable Tpm backend by default in config.toml

Files

/etc/parsec
/etc/parsec/config.toml
/usr/lib/systemd/system/parsec.service
/usr/lib/tmpfiles.d/parsec.conf
/usr/libexec/parsec
/usr/share/doc/packages/parsec
/usr/share/doc/packages/parsec/README.md
/usr/share/doc/packages/parsec/config.toml
/usr/share/licenses/parsec
/usr/share/licenses/parsec/LICENSE
/var/lib/parsec


Generated by rpm2html 1.8.1

Fabrice Bellet, Tue May 28 01:02:35 2024